import type { ButtonType, ButtonVariant } from "./constants";
import type { ButtonSize } from "./constants";
import type { LinkProps } from "../link";

export interface BaseButtonEmits {
  (e: "click", event: MouseEvent): void;
}
export interface BaseButtonProps extends LinkProps {
  type?: ButtonType;
  variant?: ButtonVariant;
  size?: ButtonSize;
  isLoading?: boolean;
  isRounded?: boolean;
  isDisabled?: boolean;
}
