import { it, describe, expect } from "vitest";
import { CTCard } from "./index";
import { mount } from "@vue/test-utils";
describe("Card", () => {
  it("Renders header slot", () => {
    const header = "Header";
    const wrapper = mount(CTCard, { slots: { header } });

    expect(wrapper.find({ ref: "headerRef" }).text()).toStrictEqual(header);
  });

  it("Renders footer slot", () => {
    const footer = "Footer";
    const wrapper = mount(CTCard, { slots: { footer } });

    expect(wrapper.find({ ref: "footerRef" }).text()).toStrictEqual(footer);
  });
});
