import type { IconName } from "../icon";
import type { FormControlProps } from "../form-control";

export interface CheckboxEmits {
  (e: "update:modelValue", event: boolean): void;
}

export interface CheckboxProps extends FormControlProps {
  modelValue: boolean | undefined | null;
  icon?: IconName;
  tabindex?: number;
  isBoxed?: boolean;
}
