import type { ChipType, ChipVariant, ChipSize } from "./constants";
export interface ChipProps {
  modelValue: boolean;
  isDisabled?: boolean;
  type?: ChipType;
  size?: ChipSize;
  variant?: ChipVariant;
  label?: string;
}

export interface ChipEmits {
  (
    name: "update:modelValue",
    modelValue: ChipProps["modelValue"],
    e: Event,
  ): void;
  (name: "remove", e: Event): void;
}
