import { highlight } from "../../utilities/highlight";

export const getLines = (value: string, language: string): string[] => {
  try {
    const toHighlight = value.trim();

    return highlight
      .highlight(toHighlight, {
        language,
      })
      .value.split("\n");
  } catch {
    return [];
  }
};
