import { ThemeColor } from "../theme";

export type ThemedIsInverted = {
  [ThemeColor.DARK]?: boolean;
  [ThemeColor.LIGHT]?: boolean;
};

export interface CodeBlockProps {
  language: string;
  label?: string;
  code?: string;
  codeId?: string;
  highlightedRange?: [number, number];
  isInline?: boolean;
  showCopy?: boolean;
  isExpandable?: boolean;
  isInverted?: boolean | ThemedIsInverted;
  externalUrl?: string;
  buttonLabel?: string;
}
