import type { ContentCardProps } from "../content-card";
import { ContentCardDirection } from "./constants";
import { TagType } from "../tag";

export const stub: ContentCardProps = {
  label: "Getting started",
  sublabel:
    "A step-by-step tutorial to get you up and running with your own key.",
  tag: { label: "Tutorial", type: TagType.ACCENT },
  to: "/some-url",
  direction: ContentCardDirection.ROW_REVERSE,
  href: undefined,
  img: "/api-reference.png",
};
