import type { ContentProps } from "./types";

export const stub: ContentProps = {
  markdown: `
# Getting started

Before you can start with our API you need to be able to authorize yourself. You can do this by [signing up](https://chargetrip.com) and [configuring](https://chargetrip.com) your own free key. After you’ve done that we will guide you through the process of configuring your key and authorizing yourself.

## Query car details

This <code>query</code> is used to get a list of all the details of an electric car in our database. Some attributes are coming from our partner [EVDatabase](https://chargetrip.com). Request parameters are optional.

### Response

On success, the HTTP status code in the response header is 200 and the response body contains the attributes you requested.

1. On success, the HTTP status code in the response header is 200 and the response body contains the attributes you requested.
2. Item 02

On error the header status code is an [error code](https://chargetrip.com) and the response body contains an error response object. The [error response object](https://chargetrip.com) can be any of the following

- On success, the HTTP status code in the response header is 200 and the response body contains the attributes you requested.
- Item 02
`,
};
