import type { Meta, StoryObj } from "@storybook/vue3";
import { CTDeprecationCard } from "../deprecation-card";
import { stub } from "./stub";

const meta: Meta<typeof CTDeprecationCard> = {
  title: "Card/Deprecation",
  component: CTDeprecationCard,
  argTypes: {
    tag: { control: "text" },
    migrationFrom: { control: "text" },
    migrationTo: { control: "text" },
    onDate: { control: "text" },
    tillDate: { control: "text" },
    description: { control: "text" },
  },
};

export const Deprecation: StoryObj<typeof CTDeprecationCard> = {
  args: {
    ...stub,
  },
};

export default meta;
