import { CTDynamicCodeBlock } from "../dynamic-code-block";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";
import schema from "./schema.json";

const meta: Meta<typeof CTDynamicCodeBlock> = {
  title: "DynamicCodeBlock",
  component: CTDynamicCodeBlock,
};

export const Normal: StoryObj<typeof CTDynamicCodeBlock> = {
  render: (args) => ({
    components: { CTDynamicCodeBlock },
    setup() {
      return { args, stub, schema };
    },
    template:
      "<CTDynamicCodeBlock class='h-screen overflow-hidden' v-bind='stub' :schema='schema' />",
  }),
  args: {},
};

export default meta;
