import type { BaseValidation } from "@vuelidate/core";

export interface File {
  name: string;
}

export interface FileUploadEmits {
  (e: "update:modelValue", event: File[]): void;
}

export interface FileUploadProps {
  id?: string;
  modelValue: File[];
  validation?: BaseValidation;
  errorMessage?: string;
  accept?: string;
  isMultiple?: boolean;
}
