import type { BaseValidation } from "@vuelidate/core";
import { FormControlSize } from "./constants";

export interface FormControlProps {
  id: string;
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  modelValue: any;
  validation?: BaseValidation;
  size?: FormControlSize;
  label?: string;
  sublabel?: string;
  errorMessages?: string[];
  isDisabled?: boolean;
}
