import { describe, expect, it } from "vitest";
import { mount } from "@vue/test-utils";
import { CTHotkey } from "./index";
import { stub } from "./stub";
import { CTIcon } from "../icon";

const props = { ...stub };
const { iconList } = props;

describe("Hotkey", () => {
  it("renders icons", () => {
    const wrapper = mount(CTHotkey, { props });

    expect(wrapper.findAllComponents(CTIcon).length).toBe(iconList.length);
  });
});
