import type { IconButtonProps } from "./types";
import { IconName } from "../icon";
import { ButtonSize, ButtonType, ButtonVariant } from "../base-button";

export const stub: IconButtonProps = {
  icon: IconName.MD_NAVIGATION_ARROW_RIGHT,
  type: ButtonType.PRIMARY,
  variant: ButtonVariant.DEFAULT,
  size: ButtonSize.MEDIUM,
  isDisabled: false,
  isRounded: false,
};
