import { IconSize } from "./constants";

export const getSizeByName = (name: string): string => {
  const [size] = name.split("/");

  switch (size) {
    case "small":
      return IconSize.SMALL;
    case "medium":
      return IconSize.MEDIUM;
    case "large":
      return IconSize.LARGE;
    default:
      return IconSize.MEDIUM;
  }
};
