import { CTIcon, IconColor, IconType } from "../icon";
import { stub } from "./stub";

import type { Meta, StoryObj } from "@storybook/vue3";
import { iconArgTypes } from "../../utilities/storybook";

const meta: Meta<typeof CTIcon> = {
  title: "Icon",
  component: CTIcon,
  argTypes: {
    color: { control: "select", options: Object.values(IconColor) },
    type: { control: "select", options: Object.values(IconType) },
    name: { ...iconArgTypes.icon },
  },
};

export const Normal: StoryObj<typeof CTIcon> = {
  args: {
    ...stub,
  },
};

export default meta;
