import { CTLabel } from "../label";
import type { Meta, StoryObj } from "@storybook/vue3";
import { stub } from "./stub";

const meta: Meta<typeof CTLabel> = {
  title: "Label",
  component: CTLabel,
  argTypes: {
    label: { control: "text" },
    sublabel: { control: "text" },
  },
};

export const Normal: StoryObj<typeof CTLabel> = {
  args: {
    ...stub,
  },
};

export default meta;
