import { CTLink } from "../link";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTLink> = {
  title: "Link",
  component: CTLink,
  argTypes: {
    to: { control: "text" },
    href: { control: "text" },
    fallbackComponent: { control: "text" },
  },
};

export const Normal: StoryObj<typeof CTLink> = {
  args: {
    ...stub,
  },
};

export default meta;
