import type { ListItemType } from "./constants";
import type { IconName } from "../icon";
import type { LinkProps } from "../link";

export interface ListItemProps extends LinkProps {
  label?: string;
  fallbackComponent?: string;
  tabindex?: number;
  isDisabled?: boolean;
  isActive?: boolean;
  type?: ListItemType;
  icon?: IconName;
  sublabel?: string;
  onClick?: (event: MouseEvent) => void;
}
