import { CTSchemaErrorBlock } from "../schema-error-block";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTSchemaErrorBlock> = {
  title: "SchemaErrorBlock",
  component: CTSchemaErrorBlock,
  argTypes: {
    label: { control: "string" },
    sublabel: { control: "string" },
  },
};

export const Normal: StoryObj<typeof CTSchemaErrorBlock> = {
  args: {
    ...stub,
  },
};

export default meta;
