export interface SearchPaletteEmits {
  (e: "close"): void;
  (e: "update:modelValue", value: string): void;
  (e: "select", value: SearchPaletteResult): void;
}

export interface SearchPaletteResult {
  to: string;
  label: string;
  sublabel: string;
}

export interface SearchPaletteProps {
  modelValue: string;
  placeholder?: string;
  isLoading?: boolean;
  resultList?: SearchPaletteResult[];
}
