import type { IconName } from "../icon";
import type { RouteLocationRaw } from "vue-router";

export interface SegmentBlockProps {
  icon?: IconName;
  isActive?: boolean;
  to?: RouteLocationRaw;
  isDisabled?: boolean;
  label?: string;
}

export interface SegmentBlockEmits {
  (name: "click"): void;
}
