import type { SegmentButtonProps } from "./types";
import { SegmentButtonType, SegmentButtonVariant } from "./constants";

export const stub: SegmentButtonProps = {
  type: SegmentButtonType.PRIMARY,
  variant: SegmentButtonVariant.DEFAULT,
  itemList: [
    {
      label: "Label",
      action: undefined,
      fallbackComponent: undefined,
      href: undefined,
      icon: undefined,
      isDisabled: false,
      to: undefined,
    },
  ],
};
