import type { SegmentButtonType, SegmentButtonVariant } from "./constants";
import type { LinkProps } from "../link";
import type { IconName } from "../icon";

export interface SegmentButtonProps {
  type?: SegmentButtonType;
  variant?: SegmentButtonVariant;
  itemList?: (SegmentButtonBlockProps & {
    onClick?: (event: MouseEvent) => void;
  })[];
}

export interface SegmentButtonBlockProps extends LinkProps {
  icon?: IconName;
  label?: string;
  isDisabled?: boolean;
}
