import { createApp } from "vue";
import { createPinia } from "pinia";
import App from "./App.vue";
import { router } from "./utilities/mock-router";
import "./assets/styles/storybook.scss";
import { i18n } from "./utilities";
import { CTTag } from "./components";
const app = createApp(App);

app.component("Tag", CTTag);
app.use(router);
app.use(createPinia());
app.use(i18n);

app.mount("#app");
