import { i18n } from "./i18n";

export const getUnit = (
  unit: Intl.NumberFormatOptions["unit"],
  value = 1,
): string => {
  return i18n.global
    .n(value, {
      style: "unit",
      unit: unit,
      unitDisplay: "narrow",
    })
    .replace(value.toString(), "")
    .trim();
};
