import type { IconName } from "../icon";
import type { ExtendedType, StatusBarStatus } from "./constants";

export interface ActionBarProps {
  label?: string;
  icon?: IconName;
  type?: ExtendedType;
}

export interface StatusBarEmits {
  (name: "discard"): void;
  (name: "save"): void;
  (name: "cancel"): void;
  (name: "close"): void;
}
export interface StatusBarProps {
  status: StatusBarStatus;
  errorMessage?: string | null;
  isRounded?: boolean;
  label?: string | null;
  timeout?: number;
}
