import type { WarningBannerProps } from "../banner";
import { BannerColor, BannerOrientation } from "../banner";
import { IconName } from "../icon";

export const warningBannerStub: WarningBannerProps = {
  orientation: BannerOrientation.HORIZONTAL,
  tag: "Warning",
  color: BannerColor.WARNING,
  icon: IconName.MD_STATUS_CIRCLE_WARNING,
  label: `Please note that the <code>key</code> we use in this example is a public one and will give you access to only a part of our <a href="#">extensive database</a>.`,
};
