import type { ButtonProps } from "./types";
import { ButtonType, ButtonVariant, ButtonSize } from "../base-button";

export const stub: ButtonProps = {
  label: "Button",
  type: ButtonType.PRIMARY,
  variant: ButtonVariant.DEFAULT,
  size: ButtonSize.MEDIUM,
  isDisabled: false,
  isRounded: false,
  iconLeft: undefined,
  iconRight: undefined,
};
