export interface PresetDateItem {
  label: string;
  range?: [Date, Date];
  isCustom?: boolean;
}

export interface CalendarEmits {
  (e: "close"): void;
  (e: "update:modelValue", dates: Date[] | Date): void;
}
export interface CalendarProps {
  modelValue?: Date[] | Date;
  isRange?: boolean;
  isFutureDisabled?: boolean;
  isPastDisabled?: boolean;
  isTodayDisabled?: boolean;
  isDouble?: boolean;
  sideNavOptions?: PresetDateItem[];
  hasSidebarNav?: boolean;
}
