import type { ChartProps } from "./types";
import { ChartType } from "./constants";

export const stub: ChartProps = {
  labelPrefix: "€",
  labels: { x: true, y: 4 },
  data: {
    // markers: [37],
    labels: ["Jan 2022", "Dec 2022"],
    tooltipLabels: [
      "Jan 2022 Jan 2022 Jan 2022 Jan 2022",
      "Feb 2022 Feb 2022 Feb 2022 Feb 2022",
      "Mar 2022 Mar 2022 Mar 2022 Mar 2022",
      "Apr 2022 Apr 2022 Apr 2022 Apr 2022",
      "May 2022 May 2022 May 2022 May 2022",
      "Jun 2022 Jun 2022 Jun 2022 Jun 2022",
      "Jul 2022 Jul 2022 Jul 2022 Jul 2022",
      "Aug 2022 Aug 2022 Aug 2022 Aug 2022",
      "Sep 2022 Sep 2022 Sep 2022 Sep 2022",
      "Oct 2022 Oct 2022 Oct 2022 Oct 2022",
      "Nov 2022 Nov 2022 Nov 2022 Nov 2022",
      "Dec 2022 Dec 2022 Dec 2022 Dec 2022",
    ],
    datasets: [
      {
        name: "Route requests",
        type: ChartType.LINE,
        color: "red",
        previous: 0,
        next: 1,
        data: [0, 100, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1],
      },
    ],
  },
  showTooltipHeader: true,
  showTooltipColorIndicator: true,
};
