export interface CloudinaryImageEmits {
  (name: "load"): void;
}

export interface CloudinaryImageProps {
  src: string;
  params?: Record<string, string | number>;
  isPreload?: boolean;
  alt?: string;
}

export type FileMap = { [key: string]: { width: number; height: number } };
export type Cloudinary = {
  fileMap: FileMap;
  folder: string;
  cloudName: string;
};
