import type { DeprecationCardProps } from "../deprecation-card";
import { subMonths } from "date-fns";

export const stub: DeprecationCardProps = {
  tag: "Field",
  migrationFrom: "carList.size (optional)",
  migrationTo: "carList.size (required)",
  onDate: subMonths(new Date(), 5),
  tillDate: new Date(),
  description:
    "carList query no longer supports fetching the full `list` in one go and requires pagination.",
};
