import { describe, expect, it } from "vitest";
import { CTDuoInput } from "./index";
import { mount } from "@vue/test-utils";
import { stub } from "./stub";

const props = { ...stub };
const { orientation } = props;
describe("DuoInput", () => {
  it("has orientation class", () => {
    const wrapper = mount(CTDuoInput, {
      props,
    });

    expect(wrapper.classes(`orientation-${orientation}`)).toBe(true);
  });
});
