import { CTEmptyState } from "./index";
import type { Meta, StoryObj } from "@storybook/vue3";
import { stub } from "./stub";
import { iconArgTypes } from "../../utilities/storybook";

const meta: Meta<typeof CTEmptyState> = {
  title: "EmptyState",
  component: CTEmptyState,
  argTypes: {
    label: { control: "text" },
    sublabel: { control: "text" },
    showBackground: { control: "boolean" },
    ...iconArgTypes,
  },
};

export const Normal: StoryObj<typeof CTEmptyState> = {
  args: {
    ...stub,
  },
};

export default meta;
