export enum IconType {
  DEFAULT = "default",
  STYLED = "styled",
}

export enum IconSize {
  SMALL = "sm",
  MEDIUM = "md",
  LARGE = "lg",
}

export enum IconColor {
  NOTE = "note",
  ACCENT = "accent",
  SUCCESS = "success",
  WARNING = "warning",
  ALT = "alt",
}
// Run generate:icon-enum to generate based on assets folder.
export enum IconName {
  LG_CHARGERS_CHADEMO = "large/chargers/chademo",
  LG_CHARGERS_DEFAULT = "large/chargers/default",
  LG_CHARGERS_DOMESTIC_A = "large/chargers/domestic-a",
  LG_CHARGERS_DOMESTIC_B = "large/chargers/domestic-b",
  LG_CHARGERS_DOMESTIC_C = "large/chargers/domestic-c",
  LG_CHARGERS_DOMESTIC_D = "large/chargers/domestic-d",
  LG_CHARGERS_DOMESTIC_E = "large/chargers/domestic-e",
  LG_CHARGERS_DOMESTIC_F = "large/chargers/domestic-f",
  LG_CHARGERS_DOMESTIC_G = "large/chargers/domestic-g",
  LG_CHARGERS_DOMESTIC_H = "large/chargers/domestic-h",
  LG_CHARGERS_DOMESTIC_I = "large/chargers/domestic-i",
  LG_CHARGERS_DOMESTIC_J = "large/chargers/domestic-j",
  LG_CHARGERS_DOMESTIC_K = "large/chargers/domestic-k",
  LG_CHARGERS_DOMESTIC_L = "large/chargers/domestic-l",
  LG_CHARGERS_PANTOGRAPH_TOP_DOWN_ALT = "large/chargers/pantograph-top-down-alt",
  LG_CHARGERS_PANTOGRAPH_TOP_DOWN = "large/chargers/pantograph-top-down",
  LG_CHARGERS_T1_COMBO = "large/chargers/t1-combo",
  LG_CHARGERS_T1 = "large/chargers/t1",
  LG_CHARGERS_T2_COMBO = "large/chargers/t2-combo",
  LG_CHARGERS_T2 = "large/chargers/t2",
  LG_CHARGERS_T3A_C = "large/chargers/t3a-c",
  LG_CHARGERS_TESLA_R = "large/chargers/tesla-r",
  LG_CHARGERS_TESLA_S = "large/chargers/tesla-s",
  LG_CONTENT_NETWORKING = "large/content/networking",
  LG_CONTENT_NO_CIRCLE_PERSON = "large/content/no-circle-person",
  LG_CONTROLS_BROKEN_IMAGE = "large/controls/broken-image",
  LG_CONTROLS_IMAGE = "large/controls/image",
  LG_CONTROLS_NO_SEARCH_RESULTS = "large/controls/no-search-results",
  LG_CONTROLS_NOTIFICATION_EMPTY = "large/controls/notification-empty",
  LG_CONTROLS_SEARCH = "large/controls/search",
  LG_LOGOS_CHARGETRIP = "large/logos/chargetrip",
  LG_MAP_COMPANY = "large/map/company",
  LG_MAP_MAP_MARKER = "large/map/map-marker",
  LG_MAP_NO_COMPANY = "large/map/no-company",
  LG_NAVIGATION_ARROW_DOWN = "large/navigation/arrow-down",
  LG_NAVIGATION_ARROW_UP = "large/navigation/arrow-up",
  LG_NAVIGATION_CHEVRON_DOWN = "large/navigation/chevron-down",
  LG_NAVIGATION_CHEVRON_LEFT = "large/navigation/chevron-left",
  LG_NAVIGATION_CHEVRON_RIGHT = "large/navigation/chevron-right",
  LG_NAVIGATION_CHEVRON_UP = "large/navigation/chevron-up",
  LG_NAVIGATION_CIRCLE_ARROW_DOWN = "large/navigation/circle-arrow-down",
  LG_NAVIGATION_CIRCLE_ARROW_LEFT = "large/navigation/circle-arrow-left",
  LG_NAVIGATION_CIRCLE_ARROW_RIGHT = "large/navigation/circle-arrow-right",
  LG_NAVIGATION_CIRCLE_ARROW_UP_LEFT = "large/navigation/circle-arrow-up-left",
  LG_NAVIGATION_CIRCLE_ARROW_UP_RIGHT = "large/navigation/circle-arrow-up-right",
  LG_NAVIGATION_CIRCLE_ARROW_UP = "large/navigation/circle-arrow-up",
  LG_NAVIGATION_CIRCLE_CROSS = "large/navigation/circle-cross",
  LG_NAVIGATION_CIRCLE_DONE = "large/navigation/circle-done",
  LG_NAVIGATION_DONE = "large/navigation/done",
  LG_PRODUCTS_BATCH_REPORT = "large/products/batch-report",
  LG_PRODUCTS_CHARGE_STATION = "large/products/charge-station",
  LG_PRODUCTS_CONSUMPTION = "large/products/consumption",
  LG_PRODUCTS_NO_BATCH_REPORT = "large/products/no-batch-report",
  LG_PRODUCTS_NO_CHARGE_STATION = "large/products/no-charge-station",
  LG_PRODUCTS_NO_PROJECTS = "large/products/no-projects",
  LG_PRODUCTS_NO_ROUTE = "large/products/no-route",
  LG_PRODUCTS_PROJECTS = "large/products/projects",
  LG_PRODUCTS_ROUTE = "large/products/route",
  LG_PRODUCTS_VEHICLE = "large/products/vehicle",
  LG_STATUS_WARNING = "large/status/warning",
  MD_AMENITIES_BATHROOM = "medium/amenities/bathroom",
  MD_AMENITIES_COFFEE = "medium/amenities/coffee",
  MD_AMENITIES_FERRY = "medium/amenities/ferry",
  MD_AMENITIES_HOTEL = "medium/amenities/hotel",
  MD_AMENITIES_MUSEUM = "medium/amenities/museum",
  MD_AMENITIES_PARK = "medium/amenities/park",
  MD_AMENITIES_PARKING_FEE = "medium/amenities/parking-fee",
  MD_AMENITIES_PARKING = "medium/amenities/parking",
  MD_AMENITIES_PHARMACY = "medium/amenities/pharmacy",
  MD_AMENITIES_PLAYGROUND = "medium/amenities/playground",
  MD_AMENITIES_RESTAURANT = "medium/amenities/restaurant",
  MD_AMENITIES_SHOPPING = "medium/amenities/shopping",
  MD_AMENITIES_STORE = "medium/amenities/store",
  MD_AMENITIES_SUPERMARKET = "medium/amenities/supermarket",
  MD_CHARGE_SPEED_CHARGE_FAST = "medium/charge-speed/charge-fast",
  MD_CHARGE_SPEED_CHARGE_SLOW = "medium/charge-speed/charge-slow",
  MD_CHARGE_SPEED_CHARGE_TURBO = "medium/charge-speed/charge-turbo",
  MD_CHARGERS_CHADEMO = "medium/chargers/chademo",
  MD_CHARGERS_DEFAULT = "medium/chargers/default",
  MD_CHARGERS_DOMESTIC_A = "medium/chargers/domestic-a",
  MD_CHARGERS_DOMESTIC_B = "medium/chargers/domestic-b",
  MD_CHARGERS_DOMESTIC_C = "medium/chargers/domestic-c",
  MD_CHARGERS_DOMESTIC_D = "medium/chargers/domestic-d",
  MD_CHARGERS_DOMESTIC_E = "medium/chargers/domestic-e",
  MD_CHARGERS_DOMESTIC_F = "medium/chargers/domestic-f",
  MD_CHARGERS_DOMESTIC_G = "medium/chargers/domestic-g",
  MD_CHARGERS_DOMESTIC_H = "medium/chargers/domestic-h",
  MD_CHARGERS_DOMESTIC_I = "medium/chargers/domestic-i",
  MD_CHARGERS_DOMESTIC_J = "medium/chargers/domestic-j",
  MD_CHARGERS_DOMESTIC_K = "medium/chargers/domestic-k",
  MD_CHARGERS_DOMESTIC_L = "medium/chargers/domestic-l",
  MD_CHARGERS_MCS = "medium/chargers/mcs",
  MD_CHARGERS_PANTOGRAPH_BOTTOM_UP = "medium/chargers/pantograph-bottom-up",
  MD_CHARGERS_PANTOGRAPH_TOP_DOWN = "medium/chargers/pantograph-top-down",
  MD_CHARGERS_T1_COMBO = "medium/chargers/t1-combo",
  MD_CHARGERS_T1 = "medium/chargers/t1",
  MD_CHARGERS_T2_COMBO = "medium/chargers/t2-combo",
  MD_CHARGERS_T2 = "medium/chargers/t2",
  MD_CHARGERS_T3A_C = "medium/chargers/t3a-c",
  MD_CHARGERS_TESLA_R = "medium/chargers/tesla-r",
  MD_CHARGERS_TESLA_S = "medium/chargers/tesla-s",
  MD_CODE_CODE = "medium/code/code",
  MD_CODE_NEW_APP = "medium/code/new-app",
  MD_CONTENT_BOOKMARK = "medium/content/bookmark",
  MD_CONTENT_CIRCLE_PERSON = "medium/content/circle-person",
  MD_CONTENT_CLIMATE_CONTROL = "medium/content/climate-control",
  MD_CONTENT_DASHBOARD = "medium/content/dashboard",
  MD_CONTENT_DOCUMENT = "medium/content/document",
  MD_CONTENT_EYE_INVISIBLE = "medium/content/eye-invisible",
  MD_CONTENT_EYE_VISIBLE = "medium/content/eye-visible",
  MD_CONTENT_FOLDER = "medium/content/folder",
  MD_CONTENT_HOURGLASS = "medium/content/hourglass",
  MD_CONTENT_IMAGE = "medium/content/image",
  MD_CONTENT_KGS = "medium/content/kgs",
  MD_CONTENT_LBS = "medium/content/lbs",
  MD_CONTENT_LEAF = "medium/content/leaf",
  MD_CONTENT_LOGS = "medium/content/logs",
  MD_CONTENT_MEGAPHONE = "medium/content/megaphone",
  MD_CONTENT_MONITORING = "medium/content/monitoring",
  MD_CONTENT_NETWORKING = "medium/content/networking",
  MD_CONTENT_PACKAGE = "medium/content/package",
  MD_CONTENT_PREDICTION = "medium/content/prediction",
  MD_CONTENT_SHREDDED = "medium/content/shredded",
  MD_CONTENT_SUBMENU = "medium/content/submenu",
  MD_CONTENT_TRANSFER_OWNER = "medium/content/transfer-owner",
  MD_CONTENT_WRENCH = "medium/content/wrench",
  MD_CONTROLS_ARCHIVE = "medium/controls/archive",
  MD_CONTROLS_CLIPBOARD = "medium/controls/clipboard",
  MD_CONTROLS_DELETE = "medium/controls/delete",
  MD_CONTROLS_EDIT = "medium/controls/edit",
  MD_CONTROLS_FILTER = "medium/controls/filter",
  MD_CONTROLS_FULLSCREEN = "medium/controls/fullscreen",
  MD_CONTROLS_GEAR = "medium/controls/gear",
  MD_CONTROLS_LOADING_CIRCLE = "medium/controls/loading-circle",
  MD_CONTROLS_MENU = "medium/controls/menu",
  MD_CONTROLS_NOTIFICATION_ACTIVE = "medium/controls/notification-active",
  MD_CONTROLS_NOTIFICATION_EMPTY = "medium/controls/notification-empty",
  MD_CONTROLS_NOTIFICATION_INACTIVE = "medium/controls/notification-inactive",
  MD_CONTROLS_RECEIPT = "medium/controls/receipt",
  MD_CONTROLS_SEARCH = "medium/controls/search",
  MD_CONTROLS_THEME_DARK = "medium/controls/theme-dark",
  MD_CONTROLS_THEME_LIGHT = "medium/controls/theme-light",
  MD_CONTROLS_THEME_SYSTEM = "medium/controls/theme-system",
  MD_CURRENCY_DOLLAR_DISABLED = "medium/currency/dollar-disabled",
  MD_CURRENCY_DOLLAR = "medium/currency/dollar",
  MD_CURRENCY_EURO = "medium/currency/euro",
  MD_KEYBOARD_COMMAND = "medium/keyboard/command",
  MD_KEYBOARD_E_MAIL = "medium/keyboard/e-mail",
  MD_KEYBOARD_ENTER = "medium/keyboard/enter",
  MD_LAYOUTS_GRAPH_BARS = "medium/layouts/graph-bars",
  MD_LAYOUTS_GRAPH_LINE = "medium/layouts/graph-line",
  MD_LAYOUTS_GRID_VIEW = "medium/layouts/grid-view",
  MD_LAYOUTS_TABLE_VIEW = "medium/layouts/table-view",
  MD_LOGOS_CHARGETRIP = "medium/logos/chargetrip",
  MD_MAP_COMPANY = "medium/map/company",
  MD_MAP_GLOBE = "medium/map/globe",
  MD_MAP_LOCATION_CENTER = "medium/map/location-center",
  MD_MAP_MAP_MARKER = "medium/map/map-marker",
  MD_MAP_TRUCK = "medium/map/truck",
  MD_MAP_VOYAGER = "medium/map/voyager",
  MD_MATH_SYMBOLS_CIRCLE_DIVIDE = "medium/math-symbols/circle-divide",
  MD_MATH_SYMBOLS_CIRCLE_MINUS = "medium/math-symbols/circle-minus",
  MD_MATH_SYMBOLS_CIRCLE_PLUS = "medium/math-symbols/circle-plus",
  MD_MATH_SYMBOLS_DIVIDE = "medium/math-symbols/divide",
  MD_MATH_SYMBOLS_DRAG = "medium/math-symbols/drag",
  MD_MATH_SYMBOLS_MINUS = "medium/math-symbols/minus",
  MD_MATH_SYMBOLS_PLUS = "medium/math-symbols/plus",
  MD_MEDIA_CONTROLS_NEXT = "medium/media-controls/next",
  MD_MEDIA_CONTROLS_PLAY = "medium/media-controls/play",
  MD_NAVIGATION_ARROW_DOWN = "medium/navigation/arrow-down",
  MD_NAVIGATION_ARROW_LEFT_RIGHT = "medium/navigation/arrow-left-right",
  MD_NAVIGATION_ARROW_LEFT = "medium/navigation/arrow-left",
  MD_NAVIGATION_ARROW_RIGHT = "medium/navigation/arrow-right",
  MD_NAVIGATION_ARROW_UP_LEFT = "medium/navigation/arrow-up-left",
  MD_NAVIGATION_ARROW_UP_RIGHT = "medium/navigation/arrow-up-right",
  MD_NAVIGATION_ARROW_UP = "medium/navigation/arrow-up",
  MD_NAVIGATION_CHEVRON_DOWN = "medium/navigation/chevron-down",
  MD_NAVIGATION_CHEVRON_LEFT = "medium/navigation/chevron-left",
  MD_NAVIGATION_CHEVRON_RIGHT = "medium/navigation/chevron-right",
  MD_NAVIGATION_CHEVRON_UP = "medium/navigation/chevron-up",
  MD_NAVIGATION_CIRCLE_ARROW_DOWN_FILLED = "medium/navigation/circle-arrow-down-filled",
  MD_NAVIGATION_CIRCLE_ARROW_DOWN = "medium/navigation/circle-arrow-down",
  MD_NAVIGATION_CIRCLE_ARROW_LEFT = "medium/navigation/circle-arrow-left",
  MD_NAVIGATION_CIRCLE_ARROW_RIGHT = "medium/navigation/circle-arrow-right",
  MD_NAVIGATION_CIRCLE_ARROW_UP_FILLED = "medium/navigation/circle-arrow-up-filled",
  MD_NAVIGATION_CIRCLE_ARROW_UP_LEFT = "medium/navigation/circle-arrow-up-left",
  MD_NAVIGATION_CIRCLE_ARROW_UP_RIGHT = "medium/navigation/circle-arrow-up-right",
  MD_NAVIGATION_CIRCLE_ARROW_UP = "medium/navigation/circle-arrow-up",
  MD_NAVIGATION_CIRCLE_CHEVRON_DOWN = "medium/navigation/circle-chevron-down",
  MD_NAVIGATION_CIRCLE_CHEVRON_LEFT = "medium/navigation/circle-chevron-left",
  MD_NAVIGATION_CIRCLE_CHEVRON_RIGHT = "medium/navigation/circle-chevron-right",
  MD_NAVIGATION_CIRCLE_CHEVRON_UP = "medium/navigation/circle-chevron-up",
  MD_NAVIGATION_CIRCLE_CROSS = "medium/navigation/circle-cross",
  MD_NAVIGATION_CIRCLE_DONE = "medium/navigation/circle-done",
  MD_NAVIGATION_CLOSE = "medium/navigation/close",
  MD_NAVIGATION_DONE = "medium/navigation/done",
  MD_NAVIGATION_EXCHANGE = "medium/navigation/exchange",
  MD_NAVIGATION_EXPORT = "medium/navigation/export",
  MD_NAVIGATION_IMPORT = "medium/navigation/import",
  MD_NAVIGATION_LOG_IN = "medium/navigation/log-in",
  MD_NAVIGATION_LOG_OUT = "medium/navigation/log-out",
  MD_NAVIGATION_RESTORE = "medium/navigation/restore",
  MD_PRIORITY_HIGH_PRIORITY = "medium/priority/high-priority",
  MD_PRIORITY_LOW_PRIORITY = "medium/priority/low-priority",
  MD_PRIORITY_MEDIUM_PRIORITY = "medium/priority/medium-priority",
  MD_PRIORITY_NO_PRIORITY = "medium/priority/no-priority",
  MD_PRODUCTS_API = "medium/products/api",
  MD_PRODUCTS_BATCH_REPORT = "medium/products/batch report",
  MD_PRODUCTS_CHARGE_STATION = "medium/products/charge-station",
  MD_PRODUCTS_CONNECTIVITY = "medium/products/connectivity",
  MD_PRODUCTS_HELP_CENTER = "medium/products/help center",
  MD_PRODUCTS_ISOLINE = "medium/products/isoline",
  MD_PRODUCTS_KEY = "medium/products/key",
  MD_PRODUCTS_NAVIGATION = "medium/products/navigation",
  MD_PRODUCTS_PLAYGROUND = "medium/products/playground",
  MD_PRODUCTS_ROUTE = "medium/products/route",
  MD_PRODUCTS_TILE_SET = "medium/products/tile-set",
  MD_PRODUCTS_VEHICLE = "medium/products/vehicle",
  MD_SECURITY_ANDROID_FINGERPRINT = "medium/security/android-fingerprint",
  MD_SECURITY_ANDROID = "medium/security/android",
  MD_SECURITY_HTTP_REFERRER = "medium/security/http-referrer",
  MD_SECURITY_HTTP = "medium/security/http",
  MD_SECURITY_IOS_ID = "medium/security/ios-id",
  MD_SECURITY_IOS = "medium/security/ios",
  MD_SECURITY_IP_ADDRESS = "medium/security/ip-address",
  MD_SECURITY_IP = "medium/security/ip",
  MD_SECURITY_WARNING = "medium/security/warning",
  MD_SOCIAL_MEDIA_GITHUB = "medium/social-media/github",
  MD_SOCIAL_MEDIA_INSTAGRAM = "medium/social-media/instagram",
  MD_SOCIAL_MEDIA_LINKEDIN = "medium/social-media/linkedin",
  MD_SOCIAL_MEDIA_TWITTER = "medium/social-media/twitter",
  MD_SOCIAL_MEDIA_WORDPRESS = "medium/social-media/wordpress",
  MD_SOCIAL_MEDIA_YOUTUBE = "medium/social-media/youtube",
  MD_STATUS_CIRCLE_CLOCK_FILLED = "medium/status/circle-clock-filled",
  MD_STATUS_CIRCLE_CLOCK = "medium/status/circle-clock",
  MD_STATUS_CIRCLE_INFO = "medium/status/circle-info",
  MD_STATUS_CIRCLE_PROGRESS = "medium/status/circle-progress",
  MD_STATUS_CIRCLE_QUESTION = "medium/status/circle-question",
  MD_STATUS_CIRCLE_WARNING = "medium/status/circle-warning",
  MD_STATUS_DISCONNECTED = "medium/status/disconnected",
  MD_STATUS_INDICATOR = "medium/status/indicator",
  MD_STATUS_POWER = "medium/status/power",
  MD_WEATHER_CURRENT = "medium/weather/current",
  MD_WEATHER_SUMMER = "medium/weather/summer",
  MD_WEATHER_WINTER = "medium/weather/winter",
  SM_CONTENT_CONNECTIVITY = "small/content/connectivity",
  SM_CONTENT_FILE = "small/content/file",
  SM_CONTENT_LEAF = "small/content/leaf",
  SM_CONTENT_LOCK = "small/content/lock",
  SM_CONTROLS_FILTER = "small/controls/filter",
  SM_CONTROLS_SEARCH = "small/controls/search",
  SM_KEYBOARD_ENTER = "small/keyboard/enter",
  SM_KEYBOARD_SLASH = "small/keyboard/slash",
  SM_MATH_SYMBOLS_MINUS = "small/math-symbols/minus",
  SM_NAVIGATION_ARROW_DOWN = "small/navigation/arrow-down",
  SM_NAVIGATION_ARROW_UP = "small/navigation/arrow-up",
  SM_NAVIGATION_CHEVRON_DOWN = "small/navigation/chevron-down",
  SM_NAVIGATION_CHEVRON_LEFT = "small/navigation/chevron-left",
  SM_NAVIGATION_CHEVRON_RIGHT = "small/navigation/chevron-right",
  SM_NAVIGATION_CHEVRON_UP = "small/navigation/chevron-up",
  SM_NAVIGATION_CIRCLE_CROSS_FILLED = "small/navigation/circle-cross-filled",
  SM_NAVIGATION_CIRCLE_CROSS = "small/navigation/circle-cross",
  SM_NAVIGATION_CIRCLE_DONE = "small/navigation/circle-done",
  SM_NAVIGATION_CLOSE = "small/navigation/close",
  SM_NAVIGATION_DONE = "small/navigation/done",
  SM_STATUS_CLOSE = "small/status/close",
  SM_STATUS_OFF_INDICATOR = "small/status/off-indicator",
  SM_STATUS_ON_INDICATOR = "small/status/on-indicator",
}
