import type { InputProps } from "./types";
import { InputType } from "./constants";
import { IconName } from "../icon";

export const stub: InputProps = {
  id: "example",
  type: InputType.TEXT,
  label: "Very long Labell label label label",
  modelValue: "",
  icon: undefined,
  placeholder: "Placeholder",
  isRounded: false,
  maskedOptions: {
    mask: "00 {/} 00 {/} `0000",
    lazy: true,
    eager: true,
  },
  hotkey: {
    icon: IconName.MD_KEYBOARD_ENTER,
    key: "Enter",
    callback: () => console.log("Hotkey!"),
  },
  isBoxed: false,
  isDisabled: false,
};
