import type { RouteLocationRaw } from "vue-router";
import type { ListItemProps } from "../list-item";

export interface MegaMenuItemProps {
  image: string;
  label: string;
  sublabel: string;
  to: RouteLocationRaw;
  isDisabled?: boolean;
}

export interface MegaMenuSectionProps {
  label: string;
  itemList: ListItemProps[];
  hasBackground?: boolean;
}

export interface MegaMenuSectionSlots {
  label?: (props: { index: number }) => void;
}
