import { describe, it, expect } from "vitest";
import { CTMenuItem } from "./index";
import { mount } from "@vue/test-utils";

describe("MenuItem", () => {
  it("renders beta tag", async () => {
    const wrapper = mount(CTMenuItem, { props: { label: "123" } });

    expect(wrapper.findComponent({ ref: "betaRef" }).exists()).toStrictEqual(
      false,
    );

    await wrapper.setProps({ isBeta: true });
    expect(wrapper.findComponent({ ref: "betaRef" }).exists()).toStrictEqual(
      true,
    );
  });
});
