import { IconName } from "../icon";
import type { SegmentProps } from "./types";

export const primaryStub: SegmentProps = {
  modelValue: 0,
  items: [
    {
      label: "Label A 123123 12312321",
      to: "/option-1",
    },
    {
      label: "Label B 123123 12312312",
      to: "/option-2",
      isDisabled: true,
    },
    {
      label: "Long Label C",
      to: "/option-3",
    },
  ],
};

export const iconStub: SegmentProps = {
  modelValue: 0,
  items: [
    {
      icon: IconName.MD_LAYOUTS_GRAPH_BARS,
    },
    {
      icon: IconName.MD_PRODUCTS_API,
    },
    {
      icon: IconName.MD_SECURITY_IP,
    },
    {
      icon: IconName.MD_SECURITY_IOS,
    },
    {
      icon: IconName.MD_SECURITY_ANDROID,
    },
  ],
};

export const mixedStub: SegmentProps = {
  modelValue: 0,
  items: [
    {
      label: "Label A",
    },
    {
      icon: IconName.MD_LAYOUTS_GRAPH_BARS,
    },
    {
      label: "Label C",
      isDisabled: true,
    },
    {
      label: "Extra Long Label D",
    },
    {
      icon: IconName.MD_PRODUCTS_VEHICLE,
    },
  ],
};
