import { describe, it, expect } from "vitest";
import { mount } from "@vue/test-utils";
import CTTHeme from "./Theme.vue";
import { ThemeColor, ThemeType } from "./constants";

const props = { type: ThemeType.APP, color: ThemeColor.DARK };
const { type } = props;

describe("Theme", () => {
  it("has type class", async () => {
    const wrapper = mount(CTTHeme, { props });

    expect(wrapper.classes()).toContain(`type-${type}`);
  });
});
