import { createRouter, createWebHistory } from "vue-router";
import { h } from "vue";
import type { VNode } from "vue";

export const routes = [
  {
    name: "raw-location",
    path: "/test/raw-location",
    component: (): VNode => h("div", "hey"),
  },
  {
    name: "catchAll",
    path: "/:catchAll(.*)",
    component: h("div", "hey"),
  },
  {
    name: "root",
    path: "/",
    component: h("div", "hey"),
  },
];

export const router = createRouter({
  history: createWebHistory(),
  routes,
});
