// import DOMPurify from "isomorphic-dompurify";
import sanitizeHtml from "sanitize-html";

export const sanitize = (value: string): string =>
  sanitizeHtml(value, {
    allowedTags: [
      "h1",
      "h2",
      "h3",
      "h4",
      "h5",
      "h6",
      "b",
      "i",
      "em",
      "strong",
      "a",
      "p",
      "ul",
      "li",
      "ol",
      "b",
      "code",
      "img",
      "video",
    ],
    allowedAttributes: {
      a: ["href", "target", "rel"],
      img: ["src", "target", "rel"],
    },
  });
// DOMPurify.sanitize(value, {
//   ALLOWED_ATTR: ["class", "href", "target", "rel"],
// });
